<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Gist
 */
get_header(); ?>

    <section id="primary" class="content-area">
        <main id="main" class="site-main">
            <?php
            if (have_posts()) : ?>

                <header class="page-header">
                    <h1 class="page-title"><?php
                        /* translators: %s: search query. */
                        printf(esc_html__('Search Results for: %s', 'blog-new'), '<span>' . get_search_query() . '</span>');
                        ?></h1>
                </header><!-- .page-header -->
                <div class="ct-article-wrapper clear">

                    <?php
                    /* Start the Loop */
                    while (have_posts()) : the_post();

                        /**
                         * Run the loop for the search to output the results.
                         * If you want to overload this in a child theme then include a file
                         * called content-search.php and that will be used instead.
                         */
                        get_template_part('template-parts/content', 'search');

                    endwhile;
                    ?>
                </div>
                <?php

                /**
                 * gist_post_navigation hook
                 * @since Gist 1.0.0
                 *
                 * @hooked gist_posts_navigation -  10
                 */
                do_action('gist_action_navigation');

            else :

                get_template_part('template-parts/content', 'none');

            endif; ?>

        </main><!-- #main -->
    </section><!-- #primary -->

<?php
get_sidebar();
get_footer();
